Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Oct 2013 09:47:38 +0300

> From: Andreas Politz <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 03 Oct 2013 23:09:33 +0200
> 
> > Also, I wonder why you aren't testing the frame type here -- this code
> > should DTRT for TTYs as well, right?  Or is it certain that this code
> > will never run except in a GUI session?
> 
> I don't know if this function is able to return something meaningful in
> a terminal.  At least it does not to do so at the moment (in the
> current, unpatched bzr branch):
> 
> emacs -nw -Q
> 
> (window-inside-absolute-pixel-edges)
> 
> => (32752 20946769 32850 20946817)
> 
> Should these functions (`window-absolute-pixel-edges' and
> `window-inside-absolute-pixel-edges') return nil in a terminal ?

I see no reason to do that.  We do support pixel coordinates on a text
terminal, counting each column and row as one pixel.